質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.77%

macOS High Sierra はアプリ開発において、まだ現役でしょうか。

解決済

回答 2

投稿

  • 評価
  • クリップ 2
  • VIEW 1,752

Web_akira

score 34

ウェブ開発者です。
仕事ではPHPを中心に、最近ではSPAにVue.jsを使ったりしています。

昔からCordovaに興味があり、ウェブの技術でアプリを作成できることに魅力を感じています。
最近ようやくアプリの勉強時間がとれるようになったのですが、手持ちのmacminiは2011年のもの。

メモリは8GBあり、若干遅いものの最新のOSには常にアップデート出来ていたので、Xcodeが使えれば、Cordovaのソースをビルドするのにも、また、ネイティブで開発するのも問題はないだろうと考えていました。

ところがMojaveというバージョンは、手持ちのMacではインストールできないと知りました。

ここから、High SierraどまりのMacでの開発には、どんな問題が起こってくるでしょうか?

古いiosを対象としたビルドしかできなくなるとしても、数年は多少古くても大きな問題はないような気がしていますが、いかがでしょうか…。

実際、あるシステム会社では、Xcodeのメジャーバージョンが2つほど古いもので、ずっとバージョンアップをせずに保守を続けているのを見たことがあります…。

おそらく人によって様々なご意見があるかと思いますので、色々伺えれば幸いです。

詳しい方のご回答、お待ちしております。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 2

checkベストアンサー

+4

ところがMojaveというバージョンは、手持ちのMacではインストールできないと知りました。

最新バージョンの OS をインストールできない時点で現役とは言えないと思います。

古いiosを対象としたビルドしかできなくなるとしても、数年は多少古くても大きな問題はないような気がしていますが、いかがでしょうか…。

iOS アプリの提出には以下のガイドラインがあり、リジェクトされる可能性があります。

Apple>今すぐAppを提出しましょう。
https://developer.apple.com/jp/app-store/submissions/

最新のオペレーティングシステムへアップデートする。
デバイスを最新版のmacOS Mojave、iOS 12、watchOS 5、tvOS 12へとアップデートし、これらが提供する最新の素晴らしい機能や強化されたパフォーマンスを活用できるようAppを改良しましょう。

Xcode 10.2を使ってビルドする。
Xcode 10.2にはSwift 5と全てのAppleプラットフォーム用の最新のSDKが含まれています。AppがSwiftで書かれている場合、引き続きSwift 4のAppをApp Storeへ提出し、準備が出来しだい個々のモジュールをSwift 5へ移行することができます。

2019年3月27日以降、 App Storeに提出されるすべてのiOS Appは、iOS 12.1以降のSDKでビルドされ、iPhone XS Maxまたは12.9インチiPad Pro(第3世代)のオールスクリーンのデザインをサポートする必要があります。また、全てのApple Watch Appは、watchOS 5とApple Watch Series 4をサポートする必要があります。

最新デバイス向けのテストとアップデート
iPhone XS、iPhone XS Max、iPhone XR、Apple Watch Series 4、11インチiPad Pro、12.9インチiPad Pro(第3世代)のエッジからエッジまで広がるディスプレイを活用する準備ができていることを確認するため、Xcode 10.1に含まれるシミュレーターでAppのテストを始めましょう。

次のバージョンアップ時または、Appが編集可能なステータスの時に、新しいiPhone XS Maxと12.9インチiPad Pro (第3世代)用のスクリーンショットとAppプレビューをアップロードしましょう。これらのアセットは自動的にiPhone X以降と11インチiPad Pro用にサイズ調整されます。また、Apple Watch Series 4のスクリーンショットもアップロードできます。

Human Interface Guidelinesを読んで、Xcode 10の最新版をダウンロードしシミュレータでAppをテストしたら、これらのアセットを作成しましょう。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2019/05/20 12:16

    ご回答ありがとうございました。

    やはり開発する側としては、最新版を使わなければNGだということがよく分かりました。

    メモリやストレージの問題ではなく、年式が古くなるとバージョンアップを切り捨てるというアップルの方針はいかがなものかと思いました。が、そういう企業体質なのでしょうね…。

    Xcode の古いバージョンで保守を続けている会社などは、いざバージョンアップの底上げをされてしまうと、泡を食って対応することになるのが目に見えるようです…。予算がおりないから機種変更しないとか言ってたらダメですね。
    ありがとうございました。

    キャンセル

+3

Appleは不定期ではありますが、アプリの申請時にXcodeの最低バージョンの底上げをしてくることがあります。

参考:
https://developer.apple.com/jp/app-store/submissions/

2019年3月27日以降、 App Storeに提出されるすべてのiOS Appは、iOS 12.1以降のSDKでビルドされ、iPhone XS Maxまたは12.9インチiPad Pro(第3世代)のオールスクリーンのデザインをサポートする必要があります。また、全てのApple Watch Appは、watchOS 5とApple Watch Series 4をサポートする必要があります。

おそらくですが、条件を満たしていなければ申請の際にエラーで弾かれると思われます。

そして最新のXcodeの動作条件も最新のmacOS(いくつか前のバージョンでも動作することがありますが)を要求されるという事で、それなりに新しいマシンでの開発を半強制させられるのが実情です。

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2019/05/20 12:07

    ご回答ありがとうございます。

    他の人の回答を見ても、開発する側として、メジャーバージョンが古いままで保守をするのはどうかと疑問に感じていました。システム会社で古い機器を使い続けるのはナンセンスですね。

    正直なところ、Android アプリと異なり、使っているマシンを強制するのは乱暴な気もしますが、アップル製品というのはそういうものなのだと分かりました。ありがとうございます。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.77%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る